net.i2p.router.transport.ntcp

## Class NTCP2Options

- java.lang.Object
- - net.i2p.router.transport.ntcp.NTCP2Options

-     class NTCP2Options
      extends Object

  NTCP2 Padding/Dummy/Delay configuration for data phase. Any other options TBD.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTCP2Options(float sendMin, float sendMax, float recvMin, float recvMax, int sendDummy, int recvDummy, int sendDelay, int recvDelay)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NTCP2Options` | `fromByteArray(byte[] options)`
    `int` | `getRecvDelay()`
    `int` | `getRecvDummy()`
    `float` | `getRecvMax()`
    `float` | `getRecvMin()`
    `int` | `getSendDelay()`
    `int` | `getSendDummy()`
    `float` | `getSendMax()`
    `float` | `getSendMin()`
    `NTCP2Options` | `merge(NTCP2Options his)` NTCP2 Padding/Dummy/Delay configuration for data phase.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NTCP2Options

          public NTCP2Options(float sendMin,
                              float sendMax,
                              float recvMin,
                              float recvMax,
                              int sendDummy,
                              int recvDummy,
                              int sendDelay,
                              int recvDelay)

  - ### Method Detail

    - #### fromByteArray

          public static NTCP2Options fromByteArray(byte[] options)

      Returns:
        null on error

    - #### getRecvDelay

          public int getRecvDelay()

    - #### getRecvDummy

          public int getRecvDummy()

    - #### getRecvMax

          public float getRecvMax()

    - #### getRecvMin

          public float getRecvMin()

    - #### getSendDelay

          public int getSendDelay()

    - #### getSendDummy

          public int getSendDummy()

    - #### getSendMax

          public float getSendMax()

    - #### getSendMin

          public float getSendMin()

    - #### merge

          public NTCP2Options merge(NTCP2Options his)

      NTCP2 Padding/Dummy/Delay configuration for data phase. Contains timing and padding parameters for NTCP2 data transmission. Provides methods to merge configurations and validate compatibility.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`